%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define rel 9.3.0.7

Summary:	3ware 3dm Disk Management Utility
Name:		3ware-3dm2
Version:	2.04.00.018
Release:	%mkrel 0.9307.1
Group:		System/Kernel and hardware
License:	Commercial
URL:		http://www.3ware.com
Source0:	3DM2-Linux-%{rel}.tgz
Source1:	%{rel}_Release_Notes_Web.pdf
Source2:	UsrGuide.pdf
Source3:	3dm2.init
Source4:	3dm2.8
Provides:	3ware-3dm2
Provides:	3ware-3dm
BuildArch:	i586 x86_64
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The 3DM disk management utility, allows you to view status and version
information about your Escalade ATA RAID Controller.

3DM alerts you when a disk array needs maintenance and you can maintain your
disk arrays from 3DM. You can add or remove drives, specify an available drive
as a hot spare or launch the rebuild process. Array status can be viewed or
arrays can be maintained remotely via a standard web browser provided you have
access to the network containing the Escalade ATA RAID Controller.

Event notification occurs from 3DM when the ATA RAID controller requires
attention, such as when a disk array becomes degraded and is no longer fault
tolerant. Event notification will only occur while 3DM is running, so we
recommend that 3DM be left running as a background utility on the ATA RAID
controller's machine.

Event notification's e-mail feature can send an e-mail to a specified recipient
when there is a problem with the array. The e-mail that the recipient receives
will include most of the information that is provided in the Logs on the Alarms
page.

3ware release: %{rel} for 3ware 9000 series.

%prep

%setup -c -n 3dm2-linux
tar -zxvf 3dm-lnx.tgz

cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%install
rm -rf %{buildroot}

export DONT_STRIP=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_datadir}/3dm2/help
install -d %{buildroot}%{_datadir}/3dm2/msg
install -d %{buildroot}%{_sysconfdir}/3dm2
install -d %{buildroot}%{_mandir}/man8

%ifarch x86_64
install -m0755 3dm2.x86_64 %{buildroot}%{_sbindir}/3dm2
%endif 

%ifarch i586
install -m0755 3dm2.x86 %{buildroot}%{_sbindir}/3dm2
%endif

install -m0755 3dm2.init %{buildroot}%{_initrddir}/3dm2
install -m0644 3dm2.8 %{buildroot}%{_mandir}/man8/

tar -zxvf 3dm-help.tgz -C %{buildroot}%{_datadir}/3dm2/help/
tar -zxvf 3dm-msg.tgz -C %{buildroot}%{_datadir}/3dm2/msg/
rm -f %{buildroot}%{_datadir}/3dm2/help/v

find %{buildroot}%{_datadir}/3dm2 -type d -exec chmod 755 {} \;
find %{buildroot}%{_datadir}/3dm2 -type f -exec chmod 644 {} \;

cat > %{buildroot}%{_sysconfdir}/3dm2/3dm2.conf <<EOF
Port 888
RemoteAccess 0
EmailEnable 1
EmailServer localhost
EmailSender root
EmailRecipient root
EmailSeverity 3
Help %{_datadir}/3dm2/help
MsgPath %{_datadir}/3dm2/msg
ADMINpwd twOmwmsK8lKk2
ROpwd twOmwmsK8lKk2
ExtLog /var/log/3dmExtLog
Logger 0
Refresh 5
Language 0
BGRate 3
OEM 0
AutoLogout 30
EOF

%post
/sbin/chkconfig --add 3dm2

%preun
if [ $1 = 0 ]; then
    /sbin/service 3dm2 stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del 3dm2
fi

%postun
if [ "$1" -ge "1" ]; then
     /sbin/service 3dm2 condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.pdf license.txt
%dir %attr(0755,root,root) %{_sysconfdir}/3dm2
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/3dm2/3dm2.conf
%attr(0755,root,root) %{_initrddir}/3dm2
%attr(0755,root,root) %{_sbindir}/3dm2
%{_datadir}/3dm2/help
%{_datadir}/3dm2/msg
%{_mandir}/man8/*

%changelog
* Fri Apr 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2.04.00.018-0.9307.1mdv2007.1
- 9.3.0.7
- make the src.rpm package handle i586 and x86_64

* Fri May 12 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.04.00.018-1.9304.1mdk
- Updated to release 9.3.0.4.

* Thu Oct 27 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.03.00.028-1.9211.1mdk
- Updated to release 9.2.1.1.

* Thu Jun 09 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.03.00.025-1.92.1mdk
- Updated to release 9.2.

* Thu Dec 30 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.02.00.015-1mdk
- Updated to release 9.1.5.2.

* Sun Nov 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.13.00.029-2mdk
- Updated to release 7.7.1.

* Wed May 12 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.13.00.029-1mdk
- Initial Mandrakelinux release.
